local ipairs = ipairs
local pcall = pcall
local Prat = Prat
local Talented = Talented
local format = string.format

local L = LibStub("AceLocale-3.0"):GetLocale("Talented")

function Talented:WriteToChat(text, ...)
	if text:find("%", 1, true) then text = text:format(...) end
	local edit = DEFAULT_CHAT_FRAME.editBox
	local type = edit:GetAttribute("chatType")
	local lang = edit.language
	if type == "WHISPER" then
		local target = edit:GetAttribute("tellTarget")
		SendChatMessage(text, type, lang, target)
	elseif type == "CHANNEL" then
		local channel = edit:GetAttribute("channelTarget")
		SendChatMessage(text, type, lang, channel)
	else
		SendChatMessage(text, type, lang)
	end
end

local function GetDialog()
	StaticPopupDialogs.TALENTED_SHOW_DIALOG = {
		button2 = OKAY,
		hasEditBox = 1,
		hasWideEditBox = 1,
		timeout = 0,
		whileDead = 1,
		hideOnEscape = 1,
	}
	GetDialog = function () return StaticPopup_Show"TALENTED_SHOW_DIALOG" end
	return GetDialog()
end

function Talented:ShowInDialog(text, ...)
	if text:find("%", 1, true) then text = text:format(...) end
	GetDialog().wideEditBox:SetText(text)
end
